Name: restful-document
Version: 0.1

Release: 11.1
Group: Development/Tools/Other
Summary: WSGI mini-framework to share active-document objects
License: GPLv3+
Url: http://wiki.sugarlabs.org/go/Sugar_Server_Kit/RESTful_Document

Source: restful-document-0.1.tar.gz
Source1: sweet.tar.gz



Requires: active-document
Requires: m2crypto

BuildRequires: python




BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
AutoProv: no
AutoReq:  no
BuildArch: noarch

%description
WSGI mini-framework to share active-document objects

%prep
%setup -n restful-document-0.1

tar xzpvf %{SOURCE1} -C %{_sourcedir}


%build



%install

# Such scripts might, e.g., compress man files that will break %files logic
%undefine __os_install_post

install -m 0755 -d %{buildroot}/.dest/`python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib()'` && cp -r restful_document %{buildroot}/.dest/`python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib()'`/ && install -m 0755 -d %{buildroot}/.dest/%{_datadir}/doc/restful-document && cp AUTHORS COPYING HACKING README %{buildroot}/.dest/%{_datadir}/doc/restful-document/ && true
python %{_sourcedir}/sweet_install.py move rpm %{buildroot}/.dest %{buildroot} /usr '' '' >> restful-document.files
rm -rf %{buildroot}/.dest
install -m 0755 -d %{buildroot}/opt/sweets/restful-document
(cd %{buildroot}; find . -name "*.py" -printf "%h\n" | sort | uniq | sed s/^.// > opt/sweets/restful-document/pydirs)
echo /opt/sweets/restful-document/pydirs >> restful-document.files

%post
test -e /opt/sweets/restful-document/pydirs && for i in `cat /opt/sweets/restful-document/pydirs`; do python -m compileall -l $i >/dev/null; python -O -m compileall -l $i >/dev/null; done; true

%preun
test -e /opt/sweets/restful-document/pydirs && for i in `cat /opt/sweets/restful-document/pydirs`; do rm -f $i/*.pyc $i/*.pyo; done; true

%clean
rm -rf %{buildroot}

%files -f restful-document.files

%changelog
